Subject: Re: bug#35484: GDM failing to start stumpwm after merge
From: Timothy Sample <[email-masked]>
To: Brett Gilio <[email-masked]>
Cc: [email-masked]
Date: Mon, 29 Apr 2019 23:20:04 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Brett,

Brett Gilio <[email-masked]> writes:

> Timothy Sample writes:
>
>> Hi Brett,
>>
>> [...]
>>
>> I can think of two options for a fix before 1.0 (which is supposed to be
>> tomorrow!).  The cute one is to just rename “Fail” to “~Fail”, on the
>> expectation that this will come after most other names when sorted.  The
>> ugly one is to patch GDM to exclude the placeholder file when looking
>> for “.desktop” files, and then to select it instead of raising an error
>> when it can’t find anything.
>>
>> My preference is for the ugly one, because the cute one feels like
>> putting a silly hack on top of silly hack – it’s just a bit too much.
>> I’ve attached a patch.  Thoughts?  (If I don’t hear anything, I will
>> push it – it’s important that this works for 1.0).
>>
>>
>> In the future, we should find a way to make GDM errors less
>> catastrophic, but I doubt we could do that in a day (I certainly
>> couldn’t)!
>>
>>> Thank you for looking into this Tim! I have gone back to SLiM for the
>>> time being until it is fixed :).
>>>
>>> If anybody else is having this issue, going back to SLiM is really
>>> easy, check out my commit for reference.
>>>
>>> https://github.com/brettgilio/guix-system/commit/64d389db13c2f78ee5c58af28c1639b098113c93
>>
>> Thanks for providing this.  Hopefully it helps anybody else having
>> problems.
>>
>>
>> -- Tim
>
> I think the uglier version is more generic and less likely to cause
> future errors. But, it is a matter of time. The uglier one is likely
> going to be more terse.
>
> Do you need any help on my end?

No, but thank you for offering and thanks for catching my mistake before
we released 1.0.  :)

I pushed e8c6e771c199c02b748eb66d3a03c46d2a32ca29 to master, which
should fix this.  Hence, I’m closing the bug.

-- Tim